package MT::Plugin::myplugin_2_2;

use MT::Template::Context;
MT::Template::Context->add_container_tag (AnyBlock => \&any_block);

sub any_block {
	my ($ctx, $args, $cond) = @_;
	my $builder = $ctx->stash('builder');
	my $tokens  = $ctx->stash('tokens');
	my $out = $builder->build ($ctx, $tokens, $cond);
	return $ctx->error ($builder->errstr) if !defined $out;
	my $tag = $args->{tag} or return $out;
	my $class = $args->{class} or "<$tag>". $out. "</$tag>";
	"<$tag class=\"$class\">". $out. "</$tag>";
}

1;