package MT::Plugin::myplugin_2_4a;

use MT::Template::Context;
MT::Template::Context->add_container_tag (IfSunday => \&if_sunday);

sub if_sunday {
	my ($ctx, $args, $cond) = @_;
	my $e = $ctx->stash ('entry') or return $ctx->_no_entry_error('MTIfSunday');
	my $ts = $e->created_on;
	if (MT::Util::wday_from_ts ($ts =~ m/^(\d\d\d\d)(\d\d)(\d\d)/) == 0) {
		my $builder = $ctx->stash('builder');
		my $tokens  = $ctx->stash('tokens');
		my $out = $builder->build ($ctx, $tokens, $cond);
		return $ctx->error ($builder->errstr) if !defined $out;
		return $out;
	}
	'';
}

1;